%define name smeserver-webhosting
%define version 11.0.0
%define release 2

Name: %{name}
Version: %{version}	
Release: %{release}%{?dist}
Summary: allow to change php/apache settings to ibays, only yet for sme9	

Group:	SMEserver/addon
License: GNU GPL version 2	
URL:		 http://www.contribs.org
Source:	 %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
BuildRequires:	e-smith-devtools
Requires:	e-smith-release >= 10.0
Requires: smeserver-mod_dav
Requires: smeserver-php >= 3.0.0-40
AutoReqProv: no

%description
allow to change php/apache settings to ibays, only yet for sme9

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun
%post

if (systemctl list-unit-files |grep smanager) then
  echo "Smanager restart in spec file"
  /sbin/e-smith/signal-event smanager-refresh;
fi

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Apr 17 2025 Brian Read <brianr@koozali.org> 11.0.0-2.sme
- Alter call to config as required for newer mojo  [SME: 12908]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.0.9-20.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Sep 06 2024 Terry Fage <terry@fage.is.au> 0.0.9-19.sme
- apply locale 2024-09-06.patch

* Fri Mar 01 2024 Brian Read <brianr@koozali.org> 0.0.9-18.sme
- Edit Menu entry to conform to new arrangements [SME: 12493]

* Fri Nov 10 2023 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.9-17.sme
- add more memory limit options [SME: 12429]

* Fri Nov 11 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.9-16.sme
- apply locale 2022-11-11 patch

* Sun Dec 19 2021 Brian Read <brianr@bjsystems.co.uk> 0.0.9-15.sme
- Add extra class attribute to SM2 panel html [SME: 11811]

* Thu Dec 02 2021 Michel Begye <mab974@misouk.com> 0.0.9-14.sme
- Fix MaxExecutionTime not saved [SME: 11786]
- Integrate webhosting with smeserver-manager (manager2) [SME: 11787]

* Fri Sep 24 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.0.9-13.sme
- Fix capitalisation errors in furlopen [SME: 11697]
- Bump required e-smith release version
- Buno required smeserver-php version

* Wed Aug 25 2021 Terry Fage <tfage@yahoo.com.au> 0.0.9-12.sme
- apply locale 2021-08-25 patch

* Tue Mar 16 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.9-11.sme
-  require smeserver-php >= 3.0.0-31 [SME: 11077]

* Sat Mar 13 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.9-10.sme
- SME10 welcome package [SME: 11077]
  added update event 
  use of default properties value, remove them from db 
  possibility to select php version per ibay
  added few more php options
  display real default value to admin.

* Fri Oct 30 2020 Brian Read <brianr@bjsystems.co.uk> 0.0.9-8.sme
- Intial import to SEM10 tree [SME: 11077]

* Sat Dec 02 2017 SME Translation Server <translations@contribs.org> 0.0.9-7.sme
- apply locale 2017-12-02 patch

* Sat Mar 25 2017 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.9-6.sme
- apply locale 2017-03-26 patch

* Wed Feb 01 2017 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.9-5.sme
- apply locale 2017-02-02.patch

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 0.0.9-4.sme
- apply locale 2016-03-09 patch

* Sat Sep 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.0.9-3.sme
- Added smeserver-webhosting-0.0.9-locale-2015-09-12.patch

* Fri Aug 21 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.0.9-2.sme
- Initial release to contribs9

* Wed Jun 18 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> -0.0.9-1.sme
- added a box larger for writing the phpbasedir

* Mon Jun 16 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> -0.0.8-1.sme
- add german translation, thanks to Rudolf Vielnascher
- add french translation, thanks to me :)

* Fri Jun 13 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> -0.0.6-1.sme
- Add mod dav in dependency with an option enabled/disabled

* Sun Jun 01 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> -0.01-1
- Initial Release
 
